## gtool5 20160613

=== Makefile ===
#= Makefile for gtool5 top directory
#
# Authors::   Eizi TOYODA, Yasuhiro MORIKAWA
# Version::   $Id: Makefile,v 1.17 2010-08-29 16:42:39 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2008. All rights reserved.
# License::   See COPYRIGHT[link:COPYRIGHT]
#
#vi: set ts=8 sw=4:
#
######################################################################
#
#== Settings
#
# [JAPANESE] 各種設定項目

DIRDEPTH=.
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE) # Include file              (optional)
                       # [JA] インクルードファイル (任意)

GuideFiles = INSTALL HISTORY INSTALL_netcdf CREDITS
                       # Documentation located in top directory       (optional)
                       # トップディレクトリに置くドキュメントファイル (任意)

# End Settings  [JA] 設定項目ここまで
######################################################################

######################################################################
#== Set GuideRDFiles
GuideRDFiles = $(GuideFiles:%=%.rd)
GuideJA      = $(GuideFiles:%=%.htm)
GuideEN      = $(GuideFiles:%=%.htm.en)

##########################################################################
#== Rules
#
all:
	cd src; $(MAKE) $@
	cd gt5frt; $(MAKE) $@

doc: guide
	cd doc; $(MAKE)

install: all mkprefix
	cd src;    $(MAKE) $@
	cd gt5frt; $(MAKE) $@

mkprefix:
	test -d $(prefix) || $(INSTALLDIR) $(prefix)
	test -d $(exec_prefix) || $(INSTALLDIR) $(exec_prefix)

install-doc:
	cd doc ; $(MAKE) install
	$(INSTALL) $(GuideJA) $(GuideEN) $(GuideFiles) ChangeLog COPYRIGHT $(prefix)

clean:
	cd src; $(MAKE) $@
	cd gt5frt; $(MAKE) $@
	cd test; $(MAKE) $@

clean.depend:
	cd src; $(MAKE) $@

distclean: distclean.depend
distclean.depend: clean
	cd src; $(MAKE) clean.depend
	cd src; $(MAKE) clean.mkwin
	-@find . -name depend | xargs rm -fr
	-@$(RM) config.status chkfort.cfg chkgmake.cfg chkrps.cfg
	-@$(RM) config.cache config.log Config.mk
	-@$(RM) autom4te.cache/*
	@test -d autom4te.cache && $(RMDIR) autom4te.cache 2> /dev/null || true
	@echo ""
	@echo "    Removing Config.mk,"
	@echo "      you should rerun ./configure to build gtool5."
	@echo ""

clean.doc: clean.guide
	cd doc; $(MAKE) clean.all

test-f: all
	cd test; $(MAKE) $@

test: all
	cd test; $(MAKE) $@

test-c: all
	cd test; $(MAKE) $@

test-installed:
	cd gt5frt; $(MAKE) $@

test-installed-c:
	cd gt5frt; $(MAKE) $@

test-mpi: mpi-check all
	cd test; $(MAKE) $@

test-mpi-c: mpi-check all
	cd test; $(MAKE) $@

test-mpi-installed: mpi-check
	cd gt5frt; $(MAKE) $@

mpi-check:
	@test -n "$(MPIEXEC)" || \
	    eval 'echo ; echo "  Error: \$$MPIEXEC is not specified."; echo "         If you want to test gtool5 with MPI library, "; echo "         specify --with-mpiexec to configure."; echo  ; exit 1'
	@test -n "$(MPIEXECPROCOPT)" || \
	    eval 'echo ; echo "  Error: \$$MPIEXECPROCOPT is not specified."; echo "         \$$MPIEXEC=$(MPIEXEC) is unknown MPI executable command, "; echo "         so edit \$$MPIEXECPROCOPT in Config.mk directly."; echo  ; exit 1'


tags:
	perl src/f90tags src/*.f90

guide:
	@for file in $(GuideFiles) ; do \
	    echo $(CP) $${file} $${file}.rd ;\
	    $(CP) $${file} $${file}.rd ;\
	done
	$(MAKE) -f htmltools/Makefile.rd2html
	$(RM) $(GuideRDFiles)

clean.guide:
	@if [ ! X"$(wildcard $(GuideJA) $(GuideEN) $(GuideRDFiles))" = X"" ]; then \
	    echo $(RM) $(wildcard $(GuideJA) $(GuideEN) $(GuideRDFiles)) ;\
	    $(RM) $(wildcard $(GuideJA) $(GuideEN) $(GuideRDFiles)) ;\
	fi

cl: git2cl
git2cl:
	@git log --date=short --pretty=format:"%ad %an <%ae>%n%n%s%n%b" | \
	sed -e 's/^\(.*\)$$/\t\1/g' | \
	sed -e 's/^\t\([0-9]*-[0-9]*-[0-9]*.*\)$$/\1/g' | \
	sed -e 's/^\t$$//g' | \
	sed -e '/^\tSigned-off-by.*$//d' \
	> ChangeLog

create-configure:
	@if [ ! -x /usr/bin/autoconf ]; then \
		echo -n "autoconf(1) is not valid. "; \
		echo "This is \"configure\" Generater."; \
		exit 1; \
	fi
	@if [ ! -r configure.in ]; then \
		echo -n "configure.in is not exists or not readable. "; \
		echo "This file needed for creating \"configure\"."; \
		exit 1; \
	fi
	@if [ ! -r script/configure/aclocal.m4 ]; then \
		echo -n "aclocal.m4 is not exists or not readable. "; \
		echo "This file needed for creating \"configure\"."; \
		exit 1; \
	fi
	autoconf -B script/configure
	@echo "\"configure\" Generated."

=== doc/Makefile ===
#= Makefile for gtool5 documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.3 2009-03-21 08:08:31 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
# in Config.mk, DEST_DOC is defined
#
######################################################################
#
#== Settings

DIRDEPTH=..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

DEST_DOC_THISDIR=$(DEST_DOC)

SUBDIRS=images tutorial

# End Settings
######################################################################

######################################################################
#== Rules
#

all: rd2html
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done
	$(MAKE) rdoc
	$(MAKE) rdoc-dev

rd2html:
	$(MAKE) -f Makefile.rd2html

rdoc:
	$(MAKE) -f Makefile.rdoc

rdoc-dev:
	$(MAKE) -f Makefile.rdoc-dev

install:
	test -d $(DEST_DOC_THISDIR) || $(INSTALLDIR) $(DEST_DOC_THISDIR)
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd) $(DEST_DOC_THISDIR)
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done
	$(MAKE) $@ -f Makefile.rdoc
	$(MAKE) $@ -f Makefile.rdoc-dev

clean:

clean.all: clean.rd2html clean.all.subdirs clean.rdoc clean.rdoc-dev

clean.rd2html:
	$(MAKE) clean.all -f Makefile.rd2html

clean.rdoc:
	$(MAKE) clean -f Makefile.rdoc

clean.rdoc-dev:
	$(MAKE) clean -f Makefile.rdoc-dev

clean.all.subdirs:
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) clean.all || exit 1; \
	  cd .. ; \
	done

=== gt5frt/Makefile ===
#= Makefile for gtool5/gt5frt
#
# Authors::   Eizi TOYODA, Yasuhiro MORIKAWA, Youhei SASAKI
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2012. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
#vi: set ts=8 sw=4:
#
######################################################################
#
#== Settings
#
# [JAPANESE] 各種設定項目

DIRDEPTH=..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE) # Include file              (optional)
                       # [JA] インクルードファイル (任意)
TARGET=gt5

TESTDIR  = ../test
TESTFILES=dc_test_test dc_string_test dc_url_test dc_args_test dc_hash_test \
	dc_date_test dc_clock_test dc_iounit_test dc_scaledsec_test \
	histinquire \
	histtest histaxis histget histcopy histnmlinfo histauto
TESTS    = $(TESTFILES:%=../test/%)

TESTFILES_MPI = histtest_mpi
TESTS_MPI     = $(TESTFILES_MPI:%=../test/%)


# End Settings  [JA] 設定項目ここまで
######################################################################


all: $(TARGET)frt$(gt5binsuffix) $(TARGET)config$(gt5binsuffix)

install: $(TARGET)frt$(gt5binsuffix)
	test -d $(DEST_BIN) || $(INSTALLDIR) $(DEST_BIN)
	$(INSTALLBIN) $(TARGET)frt$(gt5binsuffix) $(DEST_BIN)
	$(INSTALLBIN) $(TARGET)config$(gt5binsuffix) $(DEST_BIN)

$(TARGET)frt$(gt5binsuffix): gt5frtgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)frt$(gt5binsuffix)"
	LIBBODY=$(LIBBODY) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) \
		MODPATHFLAG=$(MODPATHFLAG) \
		FC=$(FC) \
		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
		sh ./gt5frtgen.sh $@
	chmod +x $(TARGET)frt$(gt5binsuffix)

$(TARGET)config$(gt5binsuffix): gt5configgen.sh Makefile ../Config.mk
	@echo "Making shell script $(TARGET)config$(gt5binsuffix)"
	LIBBODY=$(LIBBODY) MODINSTDIR=$(DEST_INC) \
		LIBINSTDIR=$(DEST_LIB) \
		SYSLDFLAGS="$(SYSLDFLAGS)" \
		SYSLDLIBS="$(SYSLDLIBS)" \
		SYSFFLAGS="$(SYSFFLAGS)" \
		F90MODTYPE=$(F90MODTYPE) \
		MODPATHFLAG=$(MODPATHFLAG) \
		FC=$(FC) \
		LINKF="$(LINKF)" HOST_CPU="$(HOST_CPU)"\
		sh ./gt5configgen.sh $@
	chmod +x $(TARGET)config$(gt5binsuffix)

clean:
	-rm -f *~ $(TARGET)frt$(gt5binsuffix) $(TARGET)config$(gt5binsuffix)

test-installed: test-build test

test-installed-c: test-c

test-build: 
	@for i in $(TESTS) ; do \
	  $(DEST_BIN)/$(TARGET)frt$(gt5binsuffix) -c $$i.f90 -o $$i.o ;\
	  $(DEST_BIN)/$(TARGET)frt$(gt5binsuffix) -o $$i $$i.o ; \
	done

test-mpi-installed: test-mpi-build test-mpi

test-mpi-build: 
	@for i in $(TESTS_MPI) ; do \
	  $(DEST_BIN)/$(TARGET)frt$(gt5binsuffix) -c $$i.f90 -o $$i.o ;\
	  $(DEST_BIN)/$(TARGET)frt$(gt5binsuffix) -o $$i $$i.o ; \
	done

test:
	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
	    echo "cd $(TESTDIR)" ; cd $(TESTDIR) || exit 1 ; \
	    echo "make $@"       ; make $@ || exit 1 ; \
	    echo "make clean"    ; make clean ; \
	else \
	    echo "" ;\
	    echo "   Cross compile mode will be used." ;\
	    echo "   First, change directory to $(DIRDEPTH)/test ." ;\
	    echo "   Secondly, submit ..." ;\
	    echo "          $(TESTFILES)," ;\
	    echo "" ;\
	    echo "   Thirdly, change directory to $(DIRDEPTH) ." ;\
	    echo "   Last \"make test-installed-c\"" ;\
	    echo "" ;\
	    exit ;\
	fi
	@echo ""
	@echo ""
	@echo "   *** Compilation and installation are succeeded !! ***"
	@echo ""
	@echo ""

test-mpi:
	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
	    echo "cd $(TESTDIR)" ; cd $(TESTDIR) || exit 1 ; \
	    echo "make $@"       ; make $@ || exit 1 ; \
	    echo "make clean"    ; make clean ; \
	else \
	    echo "" ;\
	    echo "   Cross compile mode will be used." ;\
	    echo "   First, change directory to $(DIRDEPTH)/test ." ;\
	    echo "   Secondly, submit ..." ;\
	    echo "          $(TESTFILES)," ;\
	    echo "" ;\
	    echo "   Thirdly, change directory to $(DIRDEPTH) ." ;\
	    echo "   Last \"make test-installed-c\"" ;\
	    echo "" ;\
	    exit ;\
	fi
	@echo ""
	@echo ""
	@echo "   *** Compilation and installation (MPI) are succeeded !! ***"
	@echo ""
	@echo ""

test-c:
	cd $(TESTDIR) ; make $@ || exit 1 ; make clean
	@echo ""
	@echo ""
	@echo "   *** Compilation and installation are succeeded !! ***"
	@echo ""
	@echo ""

=== src/Makefile ===
#= Makefile for build of gtool5 library in UNIX like platform
#
# Authors::   Eizi TOYODA (toyoda), Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.13 2009-05-06 14:23:13 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
DIRDEPTH=..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

# SUBDIRS	= sysdep dc_utils netcdf gtdata gtool
SUBDIRS	= sysdep dc_utils gtdata gtool

# End Settings
######################################################################

######################################################################
#== Rules
#
all: rb2f90
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

rb2f90: 
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean: 
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean.rb2f90: depend.touch
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

depend.subdir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean.depend: 
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

install: all
	test -d $(DEST_LIB) || $(INSTALLDIR) $(DEST_LIB)
	test -d $(DEST_INC) || $(INSTALLDIR) $(DEST_INC)
	$(INSTALL) $(LIBPATH) $(DEST_LIB)
	$(RANLIB) $(DEST_LIB)/$(LIBNAME)
	$(INSTALL) $(MODDIR)/$(MODS) $(MODINCS) $(DEST_INC)

Makefile.win:
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean.mkwin: 
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

=== test/Makefile ===
#= Makefile for gtool5/test
#
# Authors::   Yasuhiro MORIKAWA (morikawa), Eizi TOYODA (toyoda)
# Version::   $Id: Makefile,v 1.15 2009-10-12 05:11:52 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2008. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
DIRDEPTH=..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

TARGETS=histinquire histtest histaxis histget histgetattr histcopy histnmlinfo \
	histauto histauto2

TARGETS_DC=dc_test_test dc_string_test dc_url_test dc_args_test dc_hash_test \
	dc_date_test dc_clock_test dc_iounit_test dc_scaledsec_test \
	dc_calendar_test

BCGT4=histgt4bc

TARGETS_MPI=histtest_mpi histget_mpi histgetattr_mpi histauto_mpi histauto2_mpi

CLEANED=*.o $(MODS) $(TARGETS_DC) $(TARGETS) $(TARGETS_MPI) xdifs.log \
	dc_clock_test.tmp \
	xhisttest/xhisttest?.nc xhisttest/xhisttest??.nc \
	xhisttest/xhisttest*.cdl \
	xhistaxis/xhistaxis?.nc xhistaxis/xhistaxis*.cdl \
	xhistget/xhistget?.nc xhistget/xhistgetdif?.cdl \
	xhistcopy/xhistcopy?.nc xhistcopy/xhistcopy*.cdl \
	xhistinquire?.nc \
	xhistauto/tmp.nc xhistauto/tmp?.nc xhistauto/tmp?_??.nc \
	xhistauto/tmp?_????.nc xhistauto/*.cdl \
	xhistauto2/tmp.nc xhistauto2/tmp?.nc xhistauto2/tmp?_??.nc \
	xhistauto2/tmp?_????.nc xhistauto2/*.cdl \
	xhisttest_mpi/*.cdl \
	xhistget_mpi/xhistget?_rank??????.nc xhistget_mpi/*.cdl \
	xhistnmlinfo/*.cdl \
	xhistnmlinfo/Data?.nc \
	xhistnmlinfo/Data2_3_4.nc

CLEANED_DIR=tmp_dc_iounit_test

# End Settings
######################################################################

######################################################################
#== Rules
#

%: %.sh   # clear an implicit rule

all: $(LIBPATH) $(TARGETS_DC) $(TARGETS)

include $(DIRDEPTH)/rules.make

mpi: mpi-check $(LIBPATH) $(TARGETS_MPI)

mpi-check:
	@test -n "$(MPIEXEC)" || \
	    eval 'echo ; echo "  Error: \$$MPIEXEC is not specified."; echo "         If you want to build gtool5 with MPI library, "; echo "         specify --with-mpiexec to configure."; echo  ; exit 1'
	@test -n "$(MPIEXECPROCOPT)" || \
	    eval 'echo ; echo "  Error: \$$MPIEXECPROCOPT is not specified."; echo "         \$$MPIEXEC=$(MPIEXEC) is unknown MPI executable command, "; echo "         so edit \$$MPIEXECPROCOPT in Config.mk directly."; echo  ; exit 1'

clean: clean-histauto clean-histtest-mpi
	@if [ ! X"$(wildcard $(CLEANED))" = X"" ]; then \
		echo $(RM) $(wildcard $(CLEANED)) ;\
		$(RM) $(wildcard $(CLEANED)) ;\
	fi
	@if [ ! X"$(wildcard $(CLEANED_DIR))" = X"" ]; then \
		echo $(RM) -r $(wildcard $(CLEANED_DIR)) ;\
		$(RM) -r $(wildcard $(CLEANED_DIR)) ;\
	fi

clean-histauto:
	cd xhistauto  ; $(RM) -f `sh ../histauto.sh -l`
	cd xhistauto2 ; $(RM) -f `sh ../histauto2.sh -l`

clean-histtest-mpi:
	cd xhisttest_mpi ; $(RM) -f `sh ../histtest_mpi.sh -l`

test: all
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
	    for i in $(TARGETS_DC) $(TARGETS) $(BCGT4) ; do  \
	      CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
	      MKDIR="$(MKDIR)" MAKE="$(MAKE)" \
		 sh $$i.sh || \
	         eval 'echo "  Error: stderr is output to xdifs.log ." ; exit 1';\
	    done ;\
	else \
	    echo "" ;\
	    echo "   Cross compile mode will be used." ;\
	    echo "   After submitting ..." ;\
	    echo "          $(TARGETS_DC) $(TARGETS)," ;\
	    echo "" ;\
	    echo "   do \"make test-c\"" ;\
	    echo "" ;\
	    exit;\
	fi
	@echo ""
	@echo "   **** All Tests were Successful ****"
	@echo ""

test-f: all
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	-@for i in $(TARGETS_DC) $(TARGETS) $(BCGT4)  ; do  \
	  CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
	      MKDIR="$(MKDIR)" MAKE="$(MAKE)" \
		 sh $$i.sh || \
	     echo "  $$i.sh: Error (continue mandatorily)";\
	done

test-c: all
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	@for i in $(TARGETS) $(BCGT4) ; do  \
	  CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
	      MKDIR="$(MKDIR)" MAKE="$(MAKE)" \
	      sh $$i.sh || exit 1; \
	done
	@echo ""
	@echo "   **** All Tests were Successful ****"
	@echo ""

test-mpi: mpi
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	@if [ ! "$(CROSS_COMPILING)" = "yes" ] && [ ! "$(CROSS_COMPILING)" = "maybe" ] ; then \
	    for i in $(TARGETS_MPI) ; do  \
	      CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
	      MPIEXEC=$(MPIEXEC) MPIEXECPROCOPT=$(MPIEXECPROCOPT) \
	      MKDIR="$(MKDIR)" MAKE="$(MAKE)" \
		 sh $$i.sh || \
	         eval 'echo "  Error: stderr is output to xdifs.log ." ; exit 1';\
	    done ;\
	else \
	    echo "" ;\
	    echo "   Cross compile mode will be used." ;\
	    echo "   After submitting ..." ;\
	    echo "          $(TARGETS_DC) $(TARGETS)," ;\
	    echo "" ;\
	    echo "   do \"make test-mpi-c\"" ;\
	    echo "" ;\
	    exit;\
	fi
	@echo ""
	@echo "   **** All Tests (MPI) were Successful ****"
	@echo ""

test-mpi-c: all
	@test -n "$(NCDUMP)" || \
	    eval 'echo ; echo "  Error: ncdump: command not found."; echo ; exit 1'
	@for i in $(TARGETS_MPI) ; do  \
	  CROSS_COMPILING=$(CROSS_COMPILING) NCDUMP=$(NCDUMP) \
	      MKDIR="$(MKDIR)" MAKE="$(MAKE)" \
	      MPIEXEC=$(MPIEXEC) MPIEXECPROCOPT=$(MPIEXECPROCOPT) \
	      sh $$i.sh || exit 1; \
	done
	@echo ""
	@echo "   **** All Tests (MPI) were Successful ****"
	@echo ""

=== doc/images/Makefile ===
#= Makefile for gtool5 documentation image files
#
# Authors::   Yasuhiro MORIKAWA
# Version::   $Id: Makefile,v 1.2 2009-03-21 08:08:30 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
# in Config.mk, DEST_DOC is defined
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

DEST_DOC_THISDIR=$(DEST_DOC)/images

# End Settings
######################################################################

######################################################################
#== Rules
#

all:

clean.all:

install:
	test -d $(DEST_DOC_THISDIR) || $(INSTALLDIR) $(DEST_DOC_THISDIR)
	$(INSTALL) $(wildcard *.png *.ps *.eps) $(DEST_DOC_THISDIR)

eps2png:
	convert -density 300x300 -geometry 800x800 gtool5_detail.eps gtool5_detail.png
	convert -density 300x300 -geometry 1300x1300 gtool5_detail.eps gtool5_detail_big.png

=== doc/tutorial/Makefile ===
#= Makefile for gtool5 documentation
#
# Authors::   Yasuhiro MORIKAWA, Eizi TOYODA, Masatsugu ODAKA
# Version::   $Id: Makefile,v 1.3 2009-03-21 08:08:30 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2008. All rights reserved.
# License::   See COPYRIGHT[link:../COPYRIGHT]
#
# in Config.mk, DEST_DOC is defined
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

DEST_DOC_THISDIR=$(DEST_DOC)/tutorial

SUBDIRS=dc_args dc_clock dc_date dc_message dc_trace dc_types \
	gthist_attr gthist_f77 gthist_first gthist_gave gthist_multi \
	gtauto_first

# End Settings
######################################################################

######################################################################
#== Set variables
#

all: rd2html

rd2html:
	$(MAKE) -f Makefile.rd2html

install:
	test -d $(DEST_DOC_THISDIR) || $(INSTALLDIR) $(DEST_DOC_THISDIR)
	$(INSTALL) $(wildcard *.htm *.htm.en *.rd *.f90 *.f *.nc) $(DEST_DOC_THISDIR)
	@for i in $(SUBDIRS) ; do \
	  test -d $(DEST_DOC_THISDIR)/$$i || $(INSTALLDIR) $(DEST_DOC_THISDIR)/$$i; \
	  cd $$i || exit 1; \
	  echo copy `ls *.htm *.htm.en *.rd *.f90 *.f *.nc *.png *.nml 2> /dev/null` '->' $(DEST_DOC_THISDIR)/$$i; \
	  $(INSTALL) *.htm *.htm.en *.rd *.f90 *.f *.nc *.png *.nml $(DEST_DOC_THISDIR)/$$i 2> /dev/null || true; \
	  cd .. ; \
	done

clean:

clean.all: clean.rd2html

clean.rd2html:
	$(MAKE) clean.all -f Makefile.rd2html

=== src/dc_utils/Makefile ===
#= Makefile for build of gtool5 library in UNIX like platform
#
# Authors::   Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.12 2009-12-29 16:10:03 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = \
      dc_utils.o \
      dc_test.o \
      dc_regex.o \
      dcstringsprintf.o dcstringfprintf.o dcstringcprintf.o \
      dcstringputline.o \
      dc_trace.o \
      dc_string.o dc_types.o \
      dc_error.o dc_url.o dc_units.o dcunits_com.o \
      dc_message.o dc_present.o \
      dc_scaledsec.o \
      dc_clock.o dc_iounit.o \
      dc_hash.o dc_args.o \
      dc_date_types.o dc_date_internal.o dc_date_generic.o dc_date.o \
      dcdatetimecreate.o dcdatetimeeval.o \
      dcdatetimesetcaltype.o dcdatetimesetsecofday.o \
      dcdatetimevalidcaltype.o dcdatetimezone.o \
      dcdatetimetochar.o dcdatetimeputline.o dc_date.o \
      dcdatetimeadd.o dcdatetimesub.o dcdatetimemul.o dcdatetimediv.o \
      dcdatetimemod.o dcdatetimemax.o dcdatetimemin.o \
      dcdatetimeeq.o dcdatetimegt.o dcdatetimelt.o dcdatetimege.o dcdatetimele.o \
      dcdatetimeparseunits.o \
      dc_calendar_types.o dc_calendar_generic.o dc_calendar_internal.o \
      dc_calendar.o \
      dccalcreate.o dccalinquire.o dccaltochar.o dccaldefault.o \
      dccaldatecreate.o dccaldateparsestr.o \
      dccaldateinquire.o dccaldatetochar.o dccaldateeval.o dccaldatechkleapyear.o \
      dccalconvertbyunit.o dccalconverttosec.o dccalconverttomin.o \
      dccalconverttohour.o dccalconverttoday.o \
      dccaldatedifference.o dccaldatecurrent.o dccalparseunit.o

RB2F90 = dc_test.f90 dc_string.f90 \
	dcstringputline.f90 dc_present.f90

# End Settings
######################################################################

######################################################################
#== Rules
#
all: $(LIBPATH) archive

include $(DIRDEPTH)/rules.make

clean: depend.touch clean.default
rb2f90: rb2f90.default
clean.rb2f90: depend.touch clean.rb2f90.default
depend.subdir: depend
clean.depend: clean.depend.default
Makefile.win: Makefile.win.default
clean.mkwin: clean.mkwin.default

#
#=== Files generated with ruby script
#
dc_test.f90: dc_test.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --max_dim=$(MAXDIM) > $@ || \
	    touch $@

dc_string.f90: dc_string.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --max_dim=$(MAXDIM) > $@ || \
	    touch $@

dcstringputline.f90: dcstringputline.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --max_dim=$(MAXDIM) > $@ || \
	    touch $@

dc_present.f90: dc_present.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< > $@ || \
	    touch $@

include depend

=== src/gtdata/Makefile ===
#= Makefile for build of gtool5 library in UNIX like platform
#
# Authors::   Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.7 2009-05-29 14:41:13 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

SUBDIRS	= gtdata_memory gtdata_netcdf

OBJS = \
      gtdata_internal_vartable.o gtdata_internal_map.o \
      gtdata_types.o gtdata_generic.o \
      gtvartmpnam.o \
      gtvardeldim.o gtvaradddim.o gtvaraddmember.o gtvarexchdim.o \
      gtvardimname2ord.o \
      gtvargetattr.o gtvargetattrsc.o \
      gtvarsync.o \
      gtvargetslice.o \
      gtvarcopyattr.o gtvarcopyattrall.o \
      gtvarattrtrue.o gtvardelattr.o \
      gtvarattrsearch.o \
      gtvarputattrchar.o \
      gtvaropen.o gtvarclose.o \
      gtvaropenbydimord.o \
      gtvarslice.o gtvarslicenext.o gtvarsliceauto.o \
      gtvarcreatecopy.o gtvarcreate.o gtvarcreate.o gtvarcreated.o \
      gtvargetsliceall.o \
      gtvarputline.o \
      gtvarsearch.o \
      gtvargetnum.o gtvargetpointernum.o \
      gtvarputnum.o \
      gtvarinquire.o \
      gtvarlimit.o gtvarlimitbinary.o \
      gtvarequivalent.o

RB2F90 = gtdata_generic.f90 gtvarputnum.f90 gtvargetpointernum.f90 gtvargetnum.f90

# End Settings
######################################################################

######################################################################
#== Rules
#
all: $(LIBPATH) archive
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

include $(DIRDEPTH)/rules.make

clean: depend.touch clean.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

rb2f90: rb2f90.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean.rb2f90: depend.touch clean.rb2f90.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

depend.subdir: depend
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean.depend: clean.depend.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

Makefile.win: Makefile.win.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean.mkwin: clean.mkwin.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

#
#=== Files generated with ruby script
#
gtdata_generic.f90: gtdata_generic.erb
	erb $< > $@
# gtdata_generic.f90: gtdata_generic.rb2f90
# 	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
# 	    $(RUBY) $< --gtvarget_dim=$(MAXDIM) --gtvarput_dim=$(MAXDIM) > $@ || \
# 	    touch $@

gtvargetpointernum.f90: gtvargetpointernum.erb
	erb $< > $@
# gtvargetpointernum.f90: gtvargetpointernum.rb2f90
# 	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
# 	    $(RUBY) $< --gtvarget_dim=$(MAXDIM) > $@ || \
# 	    touch $@

gtvargetnum.f90: gtvargetnum.erb
	erb $< > $@
# gtvargetnum.f90: gtvargetnum.rb2f90
# 	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
# 	    $(RUBY) $< > $@ || \
# 	    touch $@

gtvarputnum.f90: gtvarputnum.erb
	erb $< > $@
#gtvarputnum.f90: gtvarputnum.rb2f90
#	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
#	    $(RUBY) $< --gtvarput_dim=$(MAXDIM) > $@ || \
#	    touch $@

include depend

=== src/gtool/Makefile ===
#= Makefile for build of gtool5 library in UNIX like platform
#
# Authors::   Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.6 2009-05-11 15:15:16 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

SUBDIRS	= gtool_history gtool_history_nmlinfo gtool_historyauto

OBJS = gtool5.o gt4f90io.o

RB2F90 = 

# End Settings
######################################################################


######################################################################
#== Rules
#
all: $(LIBPATH) archive
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

include $(DIRDEPTH)/rules.make

clean: depend.touch clean.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

rb2f90: rb2f90.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean.rb2f90: depend.touch clean.rb2f90.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

depend.subdir: depend
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean.depend: clean.depend.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

Makefile.win: Makefile.win.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

clean.mkwin: clean.mkwin.default
	@for i in $(SUBDIRS) ; do \
	  cd $$i || exit 1; \
	  $(MAKE) $@ || exit 1; \
	  cd .. ; \
	done

include depend

=== src/sysdep/Makefile ===
#= Makefile for build of gtool5 library in UNIX like platform
#
# Authors::   Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.3 2009-04-28 11:05:58 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = \
      sysdepabort-$(SYSDEPABORT).o \
      sysdeparg-$(SYSDEPARG).o \
      sysdepenv-$(SYSDEPENV).o \
      sysdep.o

RB2F90 = sysdepabort-abort.f90 \
	sysdepabort-exit.f90 sysdepabort-stop.f90 \
	sysdepabort-setrcd.f90 sysdepabort-errtra-setrcd.f90 \
	sysdeparg-nostd.f90 sysdeparg-f2003std.f90 sysdeparg-hitachi.f90 \
	sysdepenv-nostd.f90 sysdepenv-f2003std.f90 sysdepenv-nogetenv.f90

# End Settings
######################################################################

######################################################################
#== Rules
#
all: $(LIBPATH) archive

include $(DIRDEPTH)/rules.make

clean: depend.touch clean.default
rb2f90: rb2f90.default
clean.rb2f90: depend.touch clean.rb2f90.default
depend.subdir: depend
clean.depend: clean.depend.default
Makefile.win: Makefile.win.default
clean.mkwin: clean.mkwin.default

#
#=== Files generated with ruby script
#
sysdepabort-abort.f90: sysdepabort.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --aborttype=ABORT > $@ || \
	    touch $@

sysdepabort-exit.f90: sysdepabort.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --aborttype=EXIT > $@ || \
	    touch $@

sysdepabort-stop.f90: sysdepabort.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --aborttype=STOP > $@ || \
	    touch $@

sysdepabort-setrcd.f90: sysdepabort.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --aborttype=SETRCD > $@ || \
	    touch $@

sysdepabort-errtra-setrcd.f90: sysdepabort.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --aborttype=ERRTRA-SETRCD > $@ || \
	    touch $@

sysdeparg-nostd.f90: sysdeparg.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --argtype=NOSTD > $@ || \
	    touch $@

sysdeparg-f2003std.f90: sysdeparg.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --argtype=F2003STD > $@ || \
	    touch $@

sysdeparg-hitachi.f90: sysdeparg.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --argtype=HITACHI > $@ || \
	    touch $@

sysdepenv-nostd.f90: sysdepenv.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --envtype=NOSTD > $@ || \
	    touch $@

sysdepenv-f2003std.f90: sysdepenv.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --envtype=F2003STD > $@ || \
	    touch $@

sysdepenv-nogetenv.f90: sysdepenv.rb2f90
	$(RUBY) $(RUBYVERCHECK) > /dev/null 2>&1 && \
	    $(RUBY) $< --envtype=NOGETENV > $@ || \
	    touch $@

include depend

=== src/gtdata/gtdata_memory/Makefile ===
#= Makefile for build of gtool5 library in UNIX like platform
#
# Authors::   Yasuhiro MORIKAWA (morikawa)
# Version::   $Id: Makefile,v 1.3 2009-05-25 09:47:27 morikawa Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2009. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

# in Config.mk, DEST_LIB, DEST_INC is defined
DIRDEPTH=../../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = gtdata_memory_types.o gtdata_memory_internal.o \
	gtdata_memory_generic.o \
	gdmemvarattradd.o gdmemvarattrdel.o gdmemvarattrget.o \
	gdmemvarattrnext.o gdmemvarattrrewind.o gdmemvarattrtrue.o \
	gdmemvarclose.o gdmemvarcreated.o

RB2F90 = 

# End Settings
######################################################################

######################################################################
#== Rules
#
all: $(LIBPATH) archive

include $(DIRDEPTH)/rules.make

clean: depend.touch clean.default
rb2f90: rb2f90.default
clean.rb2f90: depend.touch clean.rb2f90.default
depend.subdir: depend
clean.depend: clean.depend.default
Makefile.win: Makefile.win.default
clean.mkwin: clean.mkwin.default

#
#=== Files generated with ruby script
#


include depend

=== debian/changelog ===
gtool5 (20160613-4+0~20221011005912.19~1.gbp166e53) unstable; urgency=medium

  ** SNAPSHOT build @166e534fcea7bbad5ff512adb90fa1a1199bc0f2 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Tue, 11 Oct 2022 09:59:14 +0900

gtool5 (20160613-4) unstable; urgency=medium

  * Fix typo.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 11 Oct 2022 09:54:41 +0900

gtool5 (20160613-3) unstable; urgency=medium

  * d/rules: Use FC as readlink result
  * Bump compat, use dh-fortran-mod

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 24 May 2022 15:50:23 +0900

gtool5 (20160613-2) unstable; urgency=medium

  * Refresh patches
  * Disable autoreconf
  * Rebuild against new GCC suite.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 21 Mar 2019 19:53:50 +0900

gtool5 (20160613-1) unstable; urgency=medium

  * Imported Upstream version 20160613
  * Drop doc-base registration
  * Set encoding explicitly
  * Add libnetcdff-dev in build-depends
  * Bump Standard version: 3.9.8
  * Fixed typo.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 21 Jul 2016 16:43:53 +0900

=== debian/control ===
Source: gtool5
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 12), 
 dpkg-dev (>= 1.16.1~), autotools-dev,
 gfortran, mpi-default-dev, mpi-default-bin,
 libnetcdf-dev, libnetcdff-dev, netcdf-bin,
 rdtool, w3m,
 dh-fortran-mod
Standards-Version: 3.9.8
Homepage: http://www.gfd-dennou.org/library/gtool/index.htm.en
#Vcs-Git: git://git.debian.org/collab-maint/gtool5-20101228.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/gtool5-20101228.git;a=summary

Package: gtool5
Architecture: any
Section: libdevel
Suggests: gtool5-doc, netcdf-bin
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libnetcdf-dev, gfortran, mpi-default-dev, mpi-default-bin
Description: Fortran90 netCDF I/O library with gtool4 convention - development files
 Gtool5 is a Fortran90 library software to read and write netCDF file
 with gtool4 convention, which is developed by GFD Dennou Club gtool
 project.
 .
 This package provides static library, header files, wrapper shell scripts.

Package: gtool5-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fortran90 netCDF I/O library with gtool4 convention - documents
 Gtool5 is a Fortran90 library software to read and write netCDF file
 with gtool4 convention, which is developed by GFD Dennou Club gtool
 project.
 .
 This package provides document and tutorial.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
FC = $(shell basename $(shell readlink -f /usr/bin/gfortran))
FMODDIR:=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/fortran/$(FC)
FFLAGS += -fPIC -frecursive
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
NETCDF_LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/libnetcdf.so
NETCDFF_LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/libnetcdff.so
NETCDF_INC=$(shell nf-config --includedir)/netcdf.h
SYSFFLAGS=$(shell nc-config --cflags) $(shell nf-config --fflags)
SYSLDLIBS=$(shell nf-config --libs) $(shell nc-config --libs)

%:
	dh $@ --no-parallel \
		--with fortran_mod

override_dh_update_autotools_config override_dh_autoreconf_clean override_dh_autoreconf override_dh_auto_configure override_dh_auto_test:
override_dh_auto_build:
	ruby -Ku /usr/bin/rd2 \
	  -r rd/rd2html-lib \
	  --with-part=EN:rd CREDITS \
	  | LANG=C w3m -T text/html -dump > debian/CREDITS
	ruby -Ku /usr/bin/rd2 \
	  -r rd/rd2html-lib \
	  --with-part=EN:rd CREDITS \
	  | LANG=C w3m -T text/html -dump > debian/HISTORY
	( cd $(CURDIR)/debian/ && \
	  ruby -Ku /usr/bin/rd2 -r rd/rd2man-lib \
	    gt5frt.rd > gt5frt.1 && \
	  ruby -Ku /usr/bin/rd2 -r rd/rd2man-lib \
	    gt5config.rd > gt5config.1 )

override_dh_auto_install:
	FC=$(FC) SYSFFLAGS="$(shell nf-config --fflags) -fPIC" RUBY="ruby -Ku" \
	   ./configure \
	   --prefix=/usr/lib/$(DEB_HOST_MULTIARCH)/gtool5 \
	   --with-netcdff=$(NETCDFF_LIB) \
	   --with-netcdf=$(NETCDF_LIB) \
	   --with-netcdf-include=$(NETCDF_INC)
	$(MAKE)
	$(MAKE) test
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) distclean
	FC=mpif90 SYSFFLAGS="$(shell nf-config --fflags) -fPIC" RUBY="ruby -Ku" \
	   ./configure \
	   --prefix=/usr/lib/$(DEB_HOST_MULTIARCH)/gtool5-mpi \
	   --with-netcdff=$(NETCDFF_LIB) \
	   --with-netcdf=$(NETCDF_LIB) \
	   --with-netcdf-include=$(NETCDF_INC)
	   --with-mpiexec=mpirun
	$(MAKE)
	$(MAKE) test
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install --sourcedir=debian/tmp
	mkdir -p $(CURDIR)/debian/gtool5/usr/bin
	(cd $(CURDIR)/debian/gtool5/usr/bin && \
	  ln -s ../lib/$(DEB_HOST_MULTIARCH)/gtool5/bin/gt5frt gt5frt && \
	  ln -s ../lib/$(DEB_HOST_MULTIARCH)/gtool5/bin/gt5config gt5config && \
	  ln -s ../lib/$(DEB_HOST_MULTIARCH)/gtool5-mpi/bin/gt5frt gt5frt.mpi && \
	  ln -s ../lib/$(DEB_HOST_MULTIARCH)/gtool5-mpi/bin/gt5config gt5config.mpi )



override_dh_auto_clean:
	@[ ! -f $(CURDIR)/Config.mk ] || $(MAKE) distclean
	@find $(CRUDIR) -name depend | xargs rm -f
	@rm -f $(CURDIR)/debian/CREDITS $(CURDIR)/debian/HISTORY
	@rm -f $(CURDIR)/debian/*.1
	@rm -f $(CURDIR)/*.cfg $(CURDIR)/*.log
	dh_clean

override_dh_installdocs:
	dh_installdocs
	find $(CURDIR)/debian/gtool5-doc -name Makefile\* | xargs rm -f
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/SRC_LIST.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history/gtool_history_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history/gtool_history_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_historyauto/gtool_historyauto_generic_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/netcdf/netcdf_f77_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dcunits_com_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/classes/dc_calendar.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool5_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_units_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_historyauto/gtool_historyauto_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtdata/gtdata_generic_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_url_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_calendar_internal_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_date_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history_nmlinfo/gtool_history_nmlinfo_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history_nmlinfo/gtool_history_nmlinfo_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/classes/dc_date.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_scaledsec_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/classes/gtool5.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_calendar_generic_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history_nmlinfo/gtool_history_nmlinfo_internal_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/classes/dc_utils.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history_nmlinfo/gtool_history_nmlinfo_generic_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_calendar_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/netcdf/netcdf_f77_win_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtdata/gtdata_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_date_internal_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtdata/gtdata_internal_map_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_clock_F90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_message_F90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gt4f90io_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_regex_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_calendar_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_history/gtool_history_internal_F90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_hash_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_date_types_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_present_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/classes/gt4f90io.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_iounit_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_date_generic_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/dc_utils/dc_string_f90.html
	rm -f $(CURDIR)/debian/gtool5-doc/usr/share/doc/gtool5-doc/doc/code_reference/files/gtool/gtool_historyauto/gtool_historyauto_internal_f90.html

=== debian/watch ===
version=3
http://www.gfd-dennou.org/library/gtool/gtool5/SIGEN.htm gtool5-([0-9].*)\.tgz
